(use-modules (ryan-config base-system)
             (gnu))

(operating-system
  (inherit base-operating-system)
  (host-name "RyanThinkpad")
  (mapped-devices (list (mapped-device
                          (source (uuid
                                   "adcaf322-7ee5-48ec-abf6-4a9b10643878"))
                          (target "sysroot")
                          (type luks-device-mapping))))
  (file-systems (cons* (file-system
                         (mount-point "/")
                         (device "/dev/mapper/sysroot")
                         (type "ext4")
                         (dependencies mapped-devices))
                       (file-system
                         (mount-point "/boot/efi")
                         (device (uuid "DFE8-32EF"
                                       'fat32))
                         (type "vfat")) %base-file-systems))
  (swap-devices
    (list
      (swap-space (target (uuid "7e1bb7c5-da2a-4509-8263-f707fc752993"))))))
