(use-modules (ryan-config base-system)
             (gnu))

(operating-system
  (inherit base-operating-system)
  (host-name "RyanLaptop")
  (mapped-devices (list (mapped-device
                          (source (uuid
                                   "4de50ae4-e6f5-4f0c-ba4b-dd97b44a2ef2"))
                          (target "sysroot")
                          (type luks-device-mapping))))
  (file-systems (cons* (file-system
                         (mount-point "/")
                         (device "/dev/mapper/sysroot")
                         (type "ext4")
                         (dependencies mapped-devices))
                       (file-system
                         (mount-point "/boot/efi")
                         (device (uuid "4C53-D400"
                                       'fat32))
                         (type "vfat")) %base-file-systems))
  (swap-devices
    (list
      (swap-space (target (uuid "6758bed3-9ff2-49a0-9cc3-7c48eaee6c4a"))))))
