(define-module (ryan-packages wm)
               #:use-module (guix download)
               #:use-module (guix packages)
               #:use-module (guix gexp)
               #:use-module (gnu packages)
               #:use-module (guix git-download)
               #:use-module (guix utils)
               #:use-module (gnu packages wm))

(define-public swaylock-effects-new
  (package
    (inherit swaylock-effects)
    (version "1.6.11")
    (source (origin
              (method git-fetch)
              (uri (git-reference
                     (url "https://github.com/jirutka/swaylock-effects")
                     (commit (string-append "v" version))))
              (sha256
                (base32
                  "0j7dxn66xqlf6iv2arqzz7mxlh7nf85anvpyf30d2frcidarda9h"))))
    (inputs (modify-inputs (package-inputs swaylock-effects) (delete "linux-pam")))))

(define-public waybar-new
  (package
    (inherit waybar)
    (arguments (list #:configure-flags #~(list "-Dexperimental=true")))))

waybar-new
