(use-modules (ryan-config base-system)
             (gnu))

(operating-system
  (inherit base-operating-system)
  (host-name "GuixVM")
  (mapped-devices (list (mapped-device
                          (source (uuid
                                   "0b98fe74-ed99-424e-b7d7-514284190528"))
                          (target "sysroot")
                          (type luks-device-mapping))))
  (file-systems (cons* (file-system
                         (mount-point "/")
                         (device "/dev/mapper/sysroot")
                         (type "ext4")
                         (dependencies mapped-devices))
                       (file-system
                         (mount-point "/boot/efi")
                         (device (uuid "74F2-CFDC"
                                       'fat32))
                         (type "vfat")) %base-file-systems))
  (swap-devices
    (list
      (swap-space (target (uuid "277a198e-a3bf-4dba-9077-b1a95cb34869"))))))